[VulnWatch] Microsoft Exchange Critical Vulnerability



John Heasman and Mark Litchfield of NGSSoftware have discovered a critical vulnerability
affecting Microsoft Exchange. The vulnerable versions include:


Microsoft Exchange Server 5.0 Service Pack 2
Microsoft Exchange Server 5.5 Service Pack 4
Microsoft Exchange 2000 Server Pack 3 with the Post-Service Pack 3 Update Rollup of August 2004


Microsoft Exchange Server 2003 Service Pack 1 and Microsoft Exchange Server 2003 Service Pack 2
are *not* affected.



The vulnerability potentially allows execution of arbitrary code when the Microsoft
Exchange Server Information Store processes a specially crafted email message.



The flaw has now been addressed and patches are available from:

http://www.microsoft.com/technet/security/Bulletin/MS06-003.mspx


NGSSoftware are going to withhold details of this flaw for three months. Full details will
be published on the 10th April 2006. This three month window will allow system
administrators the time needed to obtain the patch before the details are released to the
general public. This reflects NGSSoftware's approach to responsible disclosure.


http://www.ngssoftware.com/disclosure.pdf


NGSSoftware Insight Security Research http://www.ngssoftware.com http://www.databasesecurity.com/ http://www.nextgenss.com/ +44(0)208 401 0070






Mark Litchfield www.ngssoftware.com Tel: +44 208 40 100 70 Fax: +44 208 40 100 76 Cell: +1 253 414 4749

--

The information contained in this email and any subsequent correspondence is private, is solely for the intended recipient(s) and may contain confidential or privileged information. For those other than the intended recipient(s), any disclosure, copying, distribution, or any other action taken, or omitted to be taken, in reliance on such information is prohibited and may be unlawful. If you are not the intended recipient and have received this message in error, please inform the sender and delete this mail and any attachments.

The views expressed in this email do not necessarily reflect NGS policy. NGS accepts no liability or responsibility for any onward transmission or use of emails and attachments having left the NGS domain.



Relevant Pages

  • Microsoft Exchange Critical Vulnerability
    ... John Heasman and Mark Litchfield of NGSSoftware have discovered a critical vulnerability ... Microsoft Exchange Server 5.0 Service Pack 2 ... NGSSoftware are going to withhold details of this flaw for three months. ...
    (Bugtraq)
  • Re: Which service pack do I have ??
    ... You can check on your service pack version by checking the properties of the ... It will be listed on the general tab. ... Run Microsoft Exchange Server Best Practices Analyzer Today ...
    (microsoft.public.exchange2000.general)
  • Re: Non XP Pro clients unable to use HTTPS and Email
    ... (or a later service pack) ... installed on users' computers (this includes ... Outlook 2003 ... Microsoft Exchange Server 2003 e-mail accounts ...
    (microsoft.public.windows.server.sbs)